For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTSend User OTP
      • POSTVerify User OTP
      • GETGet User Limits
      • GETGet User Details
      • GETRefresh User Access Token
      • POSTLogout User
      • POSTOnboard User (Auth Reliance)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIUser

Verify User OTP

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/auth/verify
POST
/api/v2/auth/verify
$curl -X POST https://api-gateway-stg.transak.com/api/v2/auth/verify \
> -H "Content-Type: application/json" \
> -d '{
> "apiKey": "",
> "email": "test@transak.com",
> "otp": "123456",
> "stateToken": ""
>}'
1{
2 "data": {
3 "ttl": 2592000,
4 "created": "2025-04-07T08:05:30.432Z",
5 "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY3RpdmUiOnRydWUsInBlcm1pc3Npb25zIjpbXSwicm9sZXMiOltdLCJ0b2tlbl90eXBlIjoiQmVhcmVyIiwic3ViIjoicGFua2FqLmd1cHRhKzE0MDVAdHJhbnNhay5jb20iLCJwYXJ0bmVyX2FwaV9rZXkiOiI2YjdkN2RlZi0wMTgyLTRiMGItYTc1Ni1hMWVkZGQ2NjRiNGYiLCJhdWQiOiJhYjhhYTFjNzNhZGM1OGQ3ZmU1YWZjZTRkOWRjNjM5M20zem1uaCIsImlzcyI6Imh0dHBzOi8vdHJhbnNhay5jb20vYXV0aCIsImp0aSI6IjNkYjgwNWZhLTM5MDItNDdkOS1iZDdkLTJhZWM0ZGYwZmYxZCIsImlhdCI6MTc0NzIyNTk4MywiZXhwIjoxNzQ5ODE3OTgzfQ.QILSDW6xamPgx4nhJTotQPT9yWmKOFUzGP9CRT4B1Uc"
6 }
7}
The **Verify User OTP** is a **non-authenticated API** that allows you to **verify a user’s email using an OTP** and retrieve an **access token** in return. Once you have successfully called `Send User OTP`, you need to pass the **email verification code** along with the user’s email to **verify the OTP**. **Access Token Usages (Received in response)** - This **access token is required** for all **authenticated API calls** (such as placing orders, fetching user details, and submitting KYC). - This **access token remains valid for 30 days from the time of generation**. Once expired, the user must restart the authentication process by requesting a new OTP.
Was this page helpful?
Previous

Send User OTP

Next

Get User Limits

Built with

The Verify User OTP is a non-authenticated API that allows you to verify a user’s email using an OTP and retrieve an access token in return.

Once you have successfully called Send User OTP, you need to pass the email verification code along with the user’s email to verify the OTP.

Access Token Usages (Received in response)

  • This access token is required for all authenticated API calls (such as placing orders, fetching user details, and submitting KYC).

  • This access token remains valid for 30 days from the time of generation. Once expired, the user must restart the authentication process by requesting a new OTP.

Request

This endpoint expects an object.
apiKeystringRequired
Your API Key from Transak Dashboard
emailstringRequired
Your Email address used to receive OTP.
otpstringRequired
Your OTP received in your Email inbox.
stateTokenstringRequired

token received in api/v2/auth/login

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error